Page MenuHomePhabricator

The Fon IME cannot be used on the Wikimedia Incubator
Closed, ResolvedPublic

Description

An IME for the Fon language was added recently to ULS. It cannot be used on Wikimedia sites: "fon" doesn't appear in the ULS panel on the ime selector.

The reason is that the list of languages for the ime selector is filtered by wgULSLanguages. This is probably wrong.

Event Timeline

Amire80 created this task.Jun 25 2018, 11:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 11:55 AM

Change 441840 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] For the ULS instance in the IME selector, read the autonym from ULS data

https://gerrit.wikimedia.org/r/441840

Change 441840 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] For the ULS instance in the IME selector, read the autonym from ULS data

https://gerrit.wikimedia.org/r/441840

Amire80 moved this task from Backlog to QA on the Language-2018-Apr-June board.
Nikerabbit triaged this task as High priority.Jun 25 2018, 2:52 PM
Etonkovidova closed this task as Resolved.Jun 26 2018, 1:01 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked translatewiki.net - the Fon lang is present:

On https://incubator.wikimedia.org/wiki/Incubator:Wikis - the Fon wikipedia is present.

Note: when searched for the "fon" lang, "suomi" is returned too, which probably is ok. Btw, presently, in production, "suomi" will be the only suggestion for "fon".

KartikMistry moved this task from QA to Done on the Language-2018-Apr-June board.Jun 26 2018, 10:40 AM

I just tested on mediawiki.org and it works.

It should be deployed on the Incubator later today.

Thanks for merging and testing!

Vvjjkkii renamed this task from The Fon IME cannot be used on the Wikimedia Incubator to 3caaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Amire80 as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Amire80.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from 3caaaaaaaa to The Fon IME cannot be used on the Wikimedia Incubator.
CommunityTechBot added subscribers: gerritbot, Aklapper.